tigase.jaxmpp.core.client.xmpp.modules

## Interface ResourceBinderModule.ResourceBindSuccessHandler

- All Superinterfaces:
    EventHandler
  Enclosing class:
    ResourceBinderModule

      public static interface ResourceBinderModule.ResourceBindSuccessHandler
      extends EventHandler

  Event fires on binding success.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `ResourceBinderModule.ResourceBindSuccessHandler.ResourceBindSuccessEvent`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onResourceBindSuccess(SessionObject sessionObject, JID bindedJid)`

- - ### Method Detail

    - #### onResourceBindSuccess

          void onResourceBindSuccess(SessionObject sessionObject,
                                     JID bindedJid)
                              throws JaxmppException

      Throws:
        `JaxmppException`

Copyright © 2006–2020 Tigase. All rights reserved.